#ifndef _LIBASM_H
# define _LIBASM_H

#include <stdio.h>
#include <errno.h>
#include <unistd.h>

typedef struct s_list {
	void *data;
	struct s_list *next;
} t_list;

size_t ft_strlen(const char *);
char *ft_strcpy(char *, const char *);
int ft_strcmp(const char *, const char *);
ssize_t ft_write(int, const void *, size_t);
ssize_t ft_read(int, void *, size_t);
char *ft_strdup(const char *);

void ft_list_push_front(t_list **, void *);
int ft_list_size(t_list *);
void ft_list_sort(t_list **, int (*)());
void ft_list_remove_if(t_list **, void *, int (*)(), void (*)(void *));

void ft_list_print(t_list *begin_list);

#endif

